
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>The Varnish Users Guide &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="The Big Varnish Picture" href="intro.html" />
    <link rel="prev" title="Now what?" href="../tutorial/now_what.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="intro.html" title="The Big Varnish Picture"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../tutorial/now_what.html" title="Now what?"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">The Varnish Users Guide</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="the-varnish-users-guide">
<span id="users-guide-index"></span><h1>The Varnish Users Guide<a class="headerlink" href="#the-varnish-users-guide" title="Permalink to this headline">¶</a></h1>
<p>The Varnish documentation consists of three main documents:</p>
<ul class="simple">
<li><p><a class="reference internal" href="../tutorial/index.html#tutorial-index"><span class="std std-ref">The Varnish Tutorial</span></a> explains the basics and gets you started with Varnish.</p></li>
<li><p><a class="reference internal" href="#users-guide-index"><span class="std std-ref">The Varnish Users Guide</span></a> (this document), explains how Varnish works
and how you can use it to improve your website.</p></li>
<li><p><a class="reference internal" href="../reference/index.html#reference-index"><span class="std std-ref">The Varnish Reference Manual</span></a> contains hard facts and is useful for
looking up specific questions.</p></li>
</ul>
<p>After <a class="reference internal" href="intro.html#users-intro"><span class="std std-ref">The Big Varnish Picture</span></a>, this Users Guide is organized in sections
following the major interfaces to Varnish as a service:</p>
<p><a class="reference internal" href="running.html#users-running"><span class="std std-ref">Starting and running Varnish</span></a> is about getting Varnish configured, with
respect to storage, sockets, security and how you can control and
communicate with Varnish once it is running.</p>
<p><a class="reference internal" href="vcl.html#users-vcl"><span class="std std-ref">VCL - Varnish Configuration Language</span></a> is about getting Varnish to handle the
HTTP requests the way you want, what to cache, how to cache it,
modifying HTTP headers etc. etc.</p>
<p><a class="reference internal" href="report.html#users-report"><span class="std std-ref">Reporting and statistics</span></a> explains how you can monitor what Varnish does,
from a transactional level to aggregating statistics.</p>
<p><a class="reference internal" href="performance.html#users-performance"><span class="std std-ref">Varnish and Website Performance</span></a> is about tuning your website with Varnish.</p>
<p><a class="reference internal" href="troubleshooting.html#users-trouble"><span class="std std-ref">Troubleshooting Varnish</span></a> is for locating and fixing common issues with Varnish.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="intro.html">The Big Varnish Picture</a></li>
<li class="toctree-l1"><a class="reference internal" href="running.html">Starting and running Varnish</a><ul>
<li class="toctree-l2"><a class="reference internal" href="run_security.html">Security first</a></li>
<li class="toctree-l2"><a class="reference internal" href="command-line.html">Important command line arguments</a></li>
<li class="toctree-l2"><a class="reference internal" href="run_cli.html">CLI - bossing Varnish around</a></li>
<li class="toctree-l2"><a class="reference internal" href="storage-backends.html">Storage backends</a></li>
<li class="toctree-l2"><a class="reference internal" href="storage-backends.html#transient-storage">Transient Storage</a></li>
<li class="toctree-l2"><a class="reference internal" href="params.html">Parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="sizing-your-cache.html">Sizing your cache</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="vcl.html">VCL - Varnish Configuration Language</a><ul>
<li class="toctree-l2"><a class="reference internal" href="vcl-syntax.html">VCL Syntax</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-built-in-subs.html">Built in subroutines</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-variables.html">Request and response VCL objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-actions.html">actions</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-backends.html">Backend servers</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-backends.html#multiple-backends">Multiple backends</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-backends.html#backends-and-virtual-hosts-in-varnish">Backends and virtual hosts in Varnish</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-backends.html#directors">Directors</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-backends.html#health-checks">Health checks</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-hashing.html">Hashing</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-grace.html">Grace mode and keep</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-separate.html">Separate VCL files</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-inline-c.html">Using inline C to extend Varnish</a></li>
<li class="toctree-l2"><a class="reference internal" href="vcl-examples.html">VCL Examples</a></li>
<li class="toctree-l2"><a class="reference internal" href="devicedetection.html">Device detection</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="report.html">Reporting and statistics</a><ul>
<li class="toctree-l2"><a class="reference internal" href="operation-logging.html">Logging in Varnish</a></li>
<li class="toctree-l2"><a class="reference internal" href="operation-statistics.html">Statistics</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="performance.html">Varnish and Website Performance</a><ul>
<li class="toctree-l2"><a class="reference internal" href="increasing-your-hitrate.html">Achieving a high hitrate</a></li>
<li class="toctree-l2"><a class="reference internal" href="increasing-your-hitrate.html#the-role-of-http-headers">The role of HTTP Headers</a></li>
<li class="toctree-l2"><a class="reference internal" href="increasing-your-hitrate.html#http-vary">HTTP Vary</a></li>
<li class="toctree-l2"><a class="reference internal" href="increasing-your-hitrate.html#cache-misses">Cache misses</a></li>
<li class="toctree-l2"><a class="reference internal" href="increasing-your-hitrate.html#uncacheable-content">Uncacheable content</a></li>
<li class="toctree-l2"><a class="reference internal" href="purging.html">Purging and banning</a></li>
<li class="toctree-l2"><a class="reference internal" href="compression.html">Compression</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="esi.html">Content composition with Edge Side Includes</a><ul>
<li class="toctree-l2"><a class="reference internal" href="esi.html#example-esi-include">Example: esi:include</a></li>
<li class="toctree-l2"><a class="reference internal" href="esi.html#example-esi-remove-and-esi">Example: esi:remove and &lt;!–esi … –&gt;</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="esi.html#footnotes-about-esi">Footnotes about ESI</a><ul>
<li class="toctree-l2"><a class="reference internal" href="esi.html#doing-esi-on-json-and-other-non-xml-ish-content">Doing ESI on JSON and other non-XML’ish content</a></li>
<li class="toctree-l2"><a class="reference internal" href="esi.html#ignoring-bom-in-esi-objects">Ignoring BOM in ESI objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="esi.html#esi-on-invalid-xml">ESI on invalid XML</a></li>
<li class="toctree-l2"><a class="reference internal" href="esi.html#esi-includes-with-https-protocol">ESI includes with HTTPS protocol</a></li>
<li class="toctree-l2"><a class="reference internal" href="esi.html#esi-on-partial-responses-206">ESI on partial responses (206)</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="troubleshooting.html">Troubleshooting Varnish</a><ul>
<li class="toctree-l2"><a class="reference internal" href="troubleshooting.html#when-varnish-won-t-start">When Varnish won’t start</a></li>
<li class="toctree-l2"><a class="reference internal" href="troubleshooting.html#varnish-is-crashing-panics">Varnish is crashing - panics</a></li>
<li class="toctree-l2"><a class="reference internal" href="troubleshooting.html#varnish-is-crashing-segfaults">Varnish is crashing - segfaults</a></li>
<li class="toctree-l2"><a class="reference internal" href="troubleshooting.html#varnish-gives-me-guru-meditation">Varnish gives me Guru meditation</a></li>
<li class="toctree-l2"><a class="reference internal" href="troubleshooting.html#varnish-doesn-t-cache">Varnish doesn’t cache</a></li>
</ul>
</li>
</ul>
</div>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="../tutorial/now_what.html"
                        title="previous chapter">Now what?</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="intro.html"
                        title="next chapter">The Big Varnish Picture</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/users-guide/index.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="intro.html" title="The Big Varnish Picture"
             >next</a> |</li>
        <li class="right" >
          <a href="../tutorial/now_what.html" title="Now what?"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">The Varnish Users Guide</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>